SEGV in mountall

Bug #448323 reported by Robert Gerlach on 2009-10-10
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
mountall (Ubuntu)
High
Scott James Remnant (Canonical)
Karmic
High
Scott James Remnant (Canonical)

Bug Description

Binary package hint: mountall

Mountall segfault after the last upgrade.

(gdb) bt
#0 strcmp () at ../sysdeps/i386/i686/strcmp.S:39
#1 0x00e7b608 in parse_mountinfo () at mountall.c:821
#2 0x00e824f2 in main (argc=1, argv=0xbffff7f4) at mountall.c:2852

(mountall 0.2.1, recompiled with -ggdb)

Robert Gerlach (khnz) wrote :
Changed in mountall (Ubuntu):
status: New → Triaged
importance: Undecided → High
Changed in mountall (Ubuntu Karmic):
assignee: nobody → Scott James Remnant (scott)
milestone: none → ubuntu-9.10
Changed in mountall (Ubuntu Karmic):
status: Triaged → Fix Committed
Andreas Hasenack (ahasenack) wrote :

--- src/mountall.c 2009-10-12 17:12:47 +0000
+++ src/mountall.c 2009-10-12 17:14:38 +0000
@@ -820,9 +820,8 @@
        device = strtok_r (NULL, " \t\n", &saveptr);
        if (! device)
            continue;
- if (! strcmp (device, "/dev/root"))
- device = NULL;
- if (! strcmp (device, "none"))
+ if ((! strcmp (device, "/dev/root"))
+ (! strcmp (device, "none")))
            device = NULL;

        /* superblock opts */

Does this even build?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mountall - 0.2.2

---------------
mountall (0.2.2) karmic; urgency=low

  [ Steve Langasek ]
  * Don't emit the local-filesystem signal until after virtual filesystems
    are also done mounting. LP: #448981.

  [ Robert Gerlach ]
  * Fix segfault when root filesystem missing from fstab, or listed
    as /dev/root. LP: #448323.

  [ Johan Kiviniemi ]
  * Don’t queue filesystem check when either device or type is "none".

  [ Scott James Remnant ]
  * Removed /srv from the list of "essential" mountpoints. LP: #448267.
  * Allow overriding of the above list by using the "bootwait" and
    "nobootwait" fstab options, e.g.

    LABEL=foo /home ext4 nobootwait 0 0

  * Mount /proc before attempting to parse /proc/filesystems. LP: #447947.
  * Further improvements to event tagging of filesystems. A virtual bootwait
    filesystem underneath a local or remote filesystem inherits that tag,
    a local bootwait filesystem underneath a remote filesystem inherits that
    tag, remote filesystems do not inherit them. LP: #447654.

  * Replace previous hardcoded "arch specific" flag for /spu with an
    "optional" fstab mount option.
  * Made binfmt_misc,fusectl, debugfs, securityfs and /lib/init/rw optional
    as well.
  * Check whether the mountpoint of optional fstab entries exists before
    trying to mount, and skip over that if it doesn't. LP: #447525.

  * Keep /proc/self/mountinfo open, if it changes while we're running,
    update the knowledge of the mount table and what's mounted. That
    way if something else mounts it while mountall running, you'll still
    get events and mountall will still exit.
  * Try mounts again if another network device comes up while we were
    waiting.

 -- Scott James Remnant <email address hidden> Tue, 13 Oct 2009 02:17:47 +0100

Changed in mountall (Ubuntu Karmic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers